
Installer - Bug #30402

Passing --upgrade causes error

07/14/2020 03:53 PM - David Goetschius

Status: Closed   

Priority: Normal   

Assignee: David Goetschius   

Category: foreman-installer script   

Target version: 2.1.2   

Difficulty:  Fixed in Releases: 2.1.2, 2.2.0

Triaged: Yes Found in Releases: 2.1.0

Bugzilla link: 1857506 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/559,

https://github.com/theforeman/foreman-i

nstaller/pull/560,

https://github.com/theforeman/foreman-i

nstaller/pull/561

  

Description

msg: non-zero return code

rc: 1

start: '2020-07-14 11:29:33.872937'

stderr: |-

/opt/theforeman/tfm/root/usr/share/gems/gems/highline-1.7.8/lib/highline/style.rb:33:in `Style': :warn is not a defined Style

(NameError)

from /opt/theforeman/tfm/root/usr/share/gems/gems/highline-1.7.8/lib/highline.rb:383:in `color'

Associated revisions

Revision 7aef789e - 08/20/2020 07:40 AM - Eric Helms

Fixes #30402: Set :warn to yellow

History

#1 - 07/15/2020 03:57 PM - David Goetschius

- Subject changed from Katello 3.15 to 3.16 upgrade to Katello 3.15 to 3.16RC4 upgrade

The command that is failing:   # foreman-installer --scenario katello --upgrade

Return Code: 1

stderr: |-

/opt/theforeman/tfm/root/usr/share/gems/gems/highline-1.7.8/lib/highline/style.rb:33:in `Style': :warn is not a defined Style (NameError)

from /opt/theforeman/tfm/root/usr/share/gems/gems/highline-1.7.8/lib/highline.rb:383:in `color'

#2 - 07/15/2020 05:52 PM - Jonathon Turel

Thanks for the report. Do you mind opening a thread on our support forum to get some more feedback on your issue? You can do that here 

https://community.theforeman.org/c/support/10

#3 - 07/16/2020 12:50 PM - David Goetschius

- Status changed from New to Resolved

- Assignee set to David Goetschius

Solution: Documentation was recently updated to just execute foreman-installer.    Prior upgrade commands had parameters.

#4 - 07/16/2020 12:56 PM - Justin Sherrill

- Project changed from Katello to Installer

- Category deleted (Upgrades)
- Status changed from Resolved to New

Yep, the solution is to NOT pass the '--upgrade' flag, it is no longer needed

#5 - 07/16/2020 12:58 PM - Justin Sherrill

- Bugzilla link set to 1857506

#6 - 07/16/2020 12:59 PM - Ewoud Kohl van Wijngaarden

- Subject changed from Katello 3.15 to 3.16RC4 upgrade to Passing --upgrade causes error

- Category set to foreman-installer script

- Target version set to 2.1.1

- Triaged changed from No to Yes

- Found in Releases 2.1.0 added

#7 - 08/03/2020 01:35 PM - Tomer Brisker

- Target version changed from 2.1.1 to 2.1.2

#8 - 08/19/2020 01:19 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman-installer/pull/559 added

#9 - 08/19/2020 03:04 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/560 added

#10 - 08/20/2020 07:40 AM - The Foreman Bot

- Fixed in Releases 2.3.0 added

#11 - 08/20/2020 08:01 AM - Eric Helms

- Status changed from Ready For Testing to Closed

Applied in changeset installer|7aef789ec79c07998fd24f53dba21375747b96b7.

#12 - 08/20/2020 11:57 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/561 added

#13 - 08/20/2020 11:58 AM - Tomer Brisker

- Fixed in Releases 2.1.2, 2.2.0 added

- Fixed in Releases deleted (2.3.0)
